petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMGetCoordinatesLocalSetUp

Prepares a local vector of coordinates, so that DMGetCoordinatesLocalNoncollective() can be used as non-collective afterwards.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetCoordinatesLocalSetUp(DM dm)

Collective on dm

### Input Parameter

dm -the DM

### See Also

DMGetCoordinatesLocalNoncollective()

### Level

advanced

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages